/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.client.batch.types;

import java.util.Date;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * <p><b>Title:</b> Disseminator.java</p>
 * <p><b>Description:</b> </p>
 *
 * @author payette@cs.cornell.edu
 * @version $Id: Disseminator.java 3965 2005-04-21 12:52:40Z rlw $
 */
public class Disseminator
{

  private ArrayList m_auditRecordIdList;

  public String parentPID;

  public boolean isNew=false;

  public String dissID;

  public String dissLabel;

  public String dissVersionID;

  public String bDefID;

  public String bMechID;

  public String dsBindMapID;

  public fedora.server.storage.types.DSBindingMap dsBindMap;

  public Date dissCreateDT;

  public String dissState;

  public String asOfDate;
  
  public boolean force = false;
  
  public String logMessage;

  public Disseminator()
  {
    m_auditRecordIdList=new ArrayList();
  }

  public List auditRecordIdList()
  {
    return m_auditRecordIdList;
  }
}