/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.client.bmech;

import java.awt.*;
import javax.swing.*;
import javax.swing.table.TableCellEditor;

    /**
     *
     * <p><b>Title:</b> ComboBoxTableCellEditor.java</p>
     * <p><b>Description:</b> </p>
     *
     * @author payette@cs.cornell.edu
     * @version $Id: ComboBoxTableCellEditor.java 5162 2006-10-25 00:49:06Z eddie $
     */
    public class ComboBoxTableCellEditor extends AbstractCellEditor implements TableCellEditor {
    	
    	private static final long serialVersionUID = 1L;
    	
        // This is the component that will handle the editing of the cell value
        JComponent component;


        public ComboBoxTableCellEditor(String[] items)
        {
          super();
          component = new JComboBox(items);

        }

        // This method is called when a cell value is edited by the user.
        public Component getTableCellEditorComponent(JTable table, Object value,
                boolean isSelected, int rowIndex, int vColIndex) {

            if (isSelected)
            {
                // cell (and perhaps other cells) are selected
            }

            // Configure the component with the specified value
            ((JComboBox)component).setSelectedItem((String)value);

            // Return the configured component
            return component;
        }

        // This method is called when editing is completed.
        // It must return the new value to be stored in the cell.
        public Object getCellEditorValue() {
            return ((JComboBox)component).getSelectedItem();
        }

    }
