/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.client.console;

import java.lang.reflect.Method;
import javax.wsdl.PortType;

/**
 *
 * <p><b>Title:</b> ServiceConsoleCommandFactory.java</p>
 * <p><b>Description:</b> </p>
 *
 * @author cwilper@cs.cornell.edu
 * @version $Id: ServiceConsoleCommandFactory.java 3965 2005-04-21 12:52:40Z rlw $
 */
public class ServiceConsoleCommandFactory {

    public static ConsoleCommand[] getConsoleCommands(Class javaInterface,
            PortType wsdlInterface) {
        if (!javaInterface.isInterface()) {
            return null;
        }
        Method[] methods=javaInterface.getDeclaredMethods();
        ConsoleCommand[] commands=new ConsoleCommand[methods.length];
        for (int i=0; i<methods.length; i++) {
        /*
            public ConsoleCommand(Method method, String methodDescription,
            String[] paramNames, String[] paramDescriptions,
            String returnDescription) {
        */
            commands[i]=new ConsoleCommand(methods[i], null, null, null, null);
        }
        return commands;
    }

}