/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.client.utility.ingest;

/**
 * <p><b>Title:</b> IngestCounter.java</p>
 * <p><b>Description: Class to hold counts of ingest failures and successes.
 * This class will be passed as a by reference argument to methods of the Ingest
 * utility class.
 * 
 */
public class IngestCounter {    
    public int successes;
    public int failures;
    
    public IngestCounter(){
    	successes=0;
    	failures=0;
    }

    public int getTotal() {
        return successes + failures;
    }
}