/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.common.policy;

import com.sun.xacml.attr.AnyURIAttribute;
import com.sun.xacml.attr.StringAttribute;

public class BDefNamespace extends XacmlNamespace {

	public final XacmlName PID;
	public final XacmlName NAMESPACE;
	public final XacmlName LOCATION;		
	public final XacmlName STATE;
	
    private BDefNamespace(XacmlNamespace parent, String localName) {
    	super(parent, localName);
    	PID = addName(new XacmlName(this, "pid", StringAttribute.identifier));
    	NAMESPACE = addName(new XacmlName(this, "namespace", StringAttribute.identifier));    	
    	LOCATION = addName(new XacmlName(this, "location", AnyURIAttribute.identifier));    	
    	STATE = addName(new XacmlName(this, "state", StringAttribute.identifier)); 
    }

	public static BDefNamespace onlyInstance = new BDefNamespace(ResourceNamespace.getInstance(), "bdef");
	
	public static final BDefNamespace getInstance() {
		return onlyInstance;
	}


}
