/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.common.rdf;

/**
 * 
 * @author Edwin Shin
 * @see "org.kowari.query.rdf.Tucana, 
 *      org.kowari.query.SpecialPredicates,
 *      org.kowari.resolver.xsd.XSDResolverFactory"
 */
public class TucanaNamespace extends RDFNamespace {

    // Properties
    public final RDFName AFTER;
    public final RDFName BEFORE;
    public final RDFName GT;    
    public final RDFName LT;
    
    public final RDFName IS;
    public final RDFName NOT_OCCURS;
    public final RDFName OCCURS;
    public final RDFName OCCURS_LESS_THAN;
    public final RDFName OCCURS_MORE_THAN;

    public TucanaNamespace() {

        this.uri = "http://tucana.org/tucana#";

        // Properties
        this.AFTER              = new RDFName(this, "after");
        this.BEFORE             = new RDFName(this, "before");
        this.GT                 = new RDFName(this, "gt");
        this.LT                 = new RDFName(this, "lt");
        
        this.IS                 = new RDFName(this, "is");
        this.NOT_OCCURS         = new RDFName(this, "notOccurs");
        this.OCCURS             = new RDFName(this, "occurs");
        this.OCCURS_LESS_THAN   = new RDFName(this, "occursLessThan");
        this.OCCURS_MORE_THAN   = new RDFName(this, "occursMoreThan");
    }

}
