/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.common.rdf;

/**
 *
 */
public class XSDNamespace extends RDFNamespace {

    public final RDFName DATE_TIME;
    public final RDFName INT;
    public final RDFName LONG;
    public final RDFName FLOAT;
    public final RDFName DOUBLE;

    public XSDNamespace() {

        this.uri = "http://www.w3.org/2001/XMLSchema#";

        this.DATE_TIME = new RDFName(this, "dateTime");
        this.INT = new RDFName(this, "int");
        this.LONG = new RDFName(this, "long");
        this.FLOAT = new RDFName(this, "float");
        this.DOUBLE = new RDFName(this, "double");
    }

}
