/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.oai;

/**
 *
 * <p><b>Title:</b> NoMetadataFormatsException.java</p>
 * <p><b>Description:</b> Signals that there are no metadata formats available
 * for the specified item.</p>
 *
 * <p>This may occur while fulfilling a ListMetadataFormats request.</p>
 *
 * @author cwilper@cs.cornell.edu
 * @version $Id: NoMetadataFormatsException.java 5162 2006-10-25 00:49:06Z eddie $
 */
public class NoMetadataFormatsException
        extends OAIException {

	private static final long serialVersionUID = 1L;
	
    public NoMetadataFormatsException() {
        super("noMetadataFormats", null);
    }

    public NoMetadataFormatsException(String message) {
        super("noMetadataFormats", message);
    }

}