/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.server.access;

import java.util.Date;
/**
 * <p><b>Title: </b>ObjectProfile.java</p>
 * <p><b>Description: </b>Data structure to contain a profile of
 * a digital object that includes both stored information about the object
 * and dynamic information about the object. </p>
 *
 * @author payette@cs.cornell.edu
 * @version $Id: ObjectProfile.java 5331 2006-12-06 21:16:29Z payette $
 */
public class ObjectProfile
{
  public String PID = null;
  public String objectLabel = null;
  public String objectOwnerId = null;
  public String objectType = null;
  public String objectContentModel = null;
  public Date objectCreateDate = null;
  public Date objectLastModDate = null;
  public String dissIndexViewURL = null;
  public String itemIndexViewURL = null;
}