/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.server.config.webxml;

import java.util.ArrayList;
import java.util.List;

public class Servlet {
	private List<String> descriptions;
	private String displayName;
	private String servletName;
	private String servletClass;
	private List<InitParam> initParams;
	private String loadOnStartup;
	
	public Servlet() {
		descriptions = new ArrayList<String>();
		initParams = new ArrayList<InitParam>();
	}
	
	public List<String> getDescriptions() {
		return descriptions;
	}
	
	public void addDescription(String description) {
		descriptions.add(description);
	}
	
	public void removeDescription(String description) {
		descriptions.remove(description);
	}
	
	public String getDisplayName() {
		return displayName;
	}

	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	public String getLoadOnStartup() {
		return loadOnStartup;
	}

	public void setLoadOnStartup(String loadOnStartup) {
		this.loadOnStartup = loadOnStartup;
	}

	public String getServletClass() {
		return servletClass;
	}

	public void setServletClass(String servletClass) {
		this.servletClass = servletClass;
	}

	public String getServletName() {
		return servletName;
	}

	public void setServletName(String servletName) {
		this.servletName = servletName;
	}
	
	public List<InitParam> getInitParams() {
		return initParams;
	}
	
	public void addInitParam(InitParam initParam) {
		initParams.add(initParam);
	}
	
}
