/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.server.errors;

/**
 * 
 * <p>
 * <b>Title:</b> BackendSecurityParserException.java
 * </p>
 * <p>
 * <b>Description:</b> A parser exception indicating something went wrong while
 * parsing the backend security configuration file.
 * </p>
 * 
 * @author rlw@virginia.edu
 * @version $Id: BackendSecurityParserException.java,v 1.1 2005/05/27 14:42:38
 *          rlw Exp $
 */
public final class BackendSecurityParserException extends ServerException {

	private static final long serialVersionUID = 1L;

	/**
	 * Creates a BackendSecurityParserException.
	 * 
	 * @param message
	 *            An informative message explaining what happened and (possibly)
	 *            how to fix it.
	 */
	public BackendSecurityParserException(String message) {
		super(null, message, null, null, null);
	}

	public BackendSecurityParserException(String message, Throwable cause) {
		super(null, message, null, null, cause);
	}

	public BackendSecurityParserException(String bundleName, String code,
			String[] values, String[] details, Throwable cause) {
		super(bundleName, code, values, details, cause);
	}
}
