/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.server.errors;

/**
 *
 * <p><b>Title:</b> StorageDeviceException.java</p>
 * <p><b>Description:</b> Signals that a storage device failed to behave as
 * expected.</p>
 *
 * @author cwilper@cs.cornell.edu
 * @version $Id: StorageDeviceException.java 5267 2006-12-01 09:23:51Z cwilper $
 */
public class StorageDeviceException
        extends StorageException {

	private static final long serialVersionUID = 1L;
	
    /**
     * Creates a StorageDeviceException.
     *
     * @param message An informative message explaining what happened and
     *                (possibly) how to fix it.
     */
    public StorageDeviceException(String message) {
        super(message);
    }

    public StorageDeviceException(String message, Throwable cause) {
        super(message, cause);
    }

}