/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */

package fedora.server.journal;

/**
 * <p>
 * <b>Title:</b> JournalException.java
 * </p>
 * <p>
 * <b>Description:</b> An Exception type for use by the Journaller and its
 * associated classes.
 * </p>
 * 
 * @author jblake@cs.cornell.edu
 * @version $Id: JournalException.java 5162 2006-10-25 00:49:06 +0000 (Wed, 25
 *          Oct 2006) eddie $
 */
public class JournalException
        extends Exception {

    private static final long serialVersionUID = 1L;

    public JournalException() {
        super();
    }

    public JournalException(String message) {
        super(message);
    }

    public JournalException(String message, Throwable cause) {
        super(message, cause);
    }

    public JournalException(Throwable cause) {
        super(cause);
    }

}
