/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */

package fedora.server.journal;

import fedora.server.errors.ServerException;
import fedora.server.management.ManagementDelegate;

/**
 * Pass this to the constructors of the JournalWorker classes and their
 * dependents instead of passing a Server. This makes it much easier to write
 * unit tests, since I don't need to create a Server instance.
 * 
 * @author jblake@cs.cornell.edu
 * @version $Id: ServerInterface.java 5220 2006-11-20 13:52:20 +0000 (Mon, 20
 *          Nov 2006) cwilper $
 */

public interface ServerInterface {

    ManagementDelegate getManagementDelegate();

    String getRepositoryHash() throws ServerException;

    boolean hasInitialized();

}
