/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */

package fedora.server.journal.helpers;

import java.io.File;

/**
 * Subclass of File is used as a marker. An instance of this class behaves
 * exactly as a java.io.File object would behave. However, it can be tested with
 * instanceof to reveal that it is in fact a temp file, and as such can safely
 * be deleted after use.
 * 
 * @author jblake@cs.cornell.edu
 * @version $Id: JournalTempFile.java 5408 2006-12-12 11:46:18 +0000 (Tue, 12
 *          Dec 2006) eddie $
 */

public class JournalTempFile
        extends File {

    private static final long serialVersionUID = 1L;

    public JournalTempFile(File file) {
        super(file.getPath());
    }
}
