/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */

package fedora.server.journal.readerwriter.multifile;

/**
 * <p>
 * <b>Title:</b> MultiFileJournalConstants.java
 * </p>
 * <p>
 * <b>Description:</b> Parameters, formats and default values for use by the
 * Multi-file journalling classes.
 * </p>
 * 
 * @author jblake@cs.cornell.edu
 * @version $Id: MultiFileJournalConstants.java 6760 2008-03-09 19:24:02 +0000
 *          (Sun, 09 Mar 2008) j2blake $
 */

public interface MultiFileJournalConstants {

    String PARAMETER_JOURNAL_DIRECTORY = "journalDirectory";

    String PARAMETER_ARCHIVE_DIRECTORY = "archiveDirectory";

    /** Used by following readers */
    String PARAMETER_FOLLOW_POLLING_INTERVAL = "followPollingInterval";

    String DEFAULT_FOLLOW_POLLING_INTERVAL = "3";

    /** Used by locking readers like {@link LockingFollowingJournalReader} */
    String PARAMETER_LOCK_REQUESTED_FILENAME = "lockRequestedFilename";

    /** Used by locking readers like {@link LockingFollowingJournalReader} */
    String PARAMETER_LOCK_ACCEPTED_FILENAME = "lockAcceptedFilename";

    /** Used by locking readers like {@link LockingFollowingJournalReader} */
    String PARAMETER_PAUSE_BEFORE_POLLING = "pauseBeforePolling";
}
