/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.server.search;

import java.util.List;

/**
 *
 * <p><b>Title:</b> FieldSearchQuery.java</p>
 * <p><b>Description:</b> </p>
 *
 * @author cwilper@cs.cornell.edu
 * @version $Id: FieldSearchQuery.java 3966 2005-04-21 13:33:01Z rlw $
 */
public class FieldSearchQuery {

    public final static int CONDITIONS_TYPE=1;
    public final static int TERMS_TYPE=2;

    private List m_conditions;
    private String m_terms;
    private int m_type;

    public FieldSearchQuery(List conditions) {
        m_conditions=conditions;
        m_type=CONDITIONS_TYPE;
    }

    public FieldSearchQuery(String terms) {
        m_terms=terms;
        m_type=TERMS_TYPE;
    }

    public int getType() {
        return m_type;
    }

    public List getConditions() {
        return m_conditions;
    }

    public String getTerms() {
        return m_terms;
    }

}

