/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
/*
 * Created on Apr 26, 2005
 */
package fedora.server.security;

import org.apache.log4j.Logger;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

/**
 * @author wdn5e@virginia.edu
 */
public class SchemaErrorHandler implements ErrorHandler {

    /** Logger for this class. */
    private static final Logger LOG = Logger.getLogger(
            SchemaErrorHandler.class.getName());

	public void error(SAXParseException exception) throws SAXException {
		LOG.error("Schema error", exception);
		throw exception;
	}
	public void fatalError(SAXParseException exception) throws SAXException {
		LOG.error("Schema fatalError", exception);
		throw exception;		
	}
	public void warning(SAXParseException exception) throws SAXException {
		LOG.error("Schema warning", exception);
		throw exception;		
	}
	
}
