/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.server.storage;

import fedora.server.storage.types.*;
import fedora.server.errors.ServerException;
import java.io.InputStream;
import java.util.Date;

/**
 *
 * <p><b>Title:</b> BMechReader.java</p>
 * <p><b>Description:</b> Interface for reading Behavior Mechanism Objects.</p>
 *
 * @author payette@cs.cornell.edu
 * @version $Id: BMechReader.java 3966 2005-04-21 13:33:01Z rlw $
 */
public interface BMechReader extends DOReader
{
  public MethodDef[] getServiceMethods(Date versDateTime) throws ServerException;

  public MethodDefOperationBind[] getServiceMethodBindings(Date versDateTime)
      throws ServerException;

  public InputStream getServiceMethodsXML(Date versDateTime) throws ServerException;

  public BMechDSBindSpec getServiceDSInputSpec(Date versDateTime) throws ServerException;

  public MethodParmDef[] getServiceMethodParms(String methodName, Date versDateTime) throws ServerException;
}