/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.server.storage;

import fedora.server.Context;
import fedora.server.errors.ServerException;
import fedora.server.storage.types.MIMETypedStream;

/**
 *
 * <p><b>Title:</b> ExternalContentManager.java</p>
 * <p><b>Description:</b> Interface that provides a mechanism for retrieving
 * external content via HTTP.</p>
 *
 * @author rlw@virginia.edu
 * @version $Id: ExternalContentManager.java 3966 2005-04-21 13:33:01Z rlw $
 */
public interface ExternalContentManager
{
  public MIMETypedStream getExternalContent(String URL, Context context)
      throws ServerException;

}