/*
 * -----------------------------------------------------------------------------
 *
 * <p><b>License and Copyright: </b>The contents of this file are subject to the
 * Apache License, Version 2.0 (the "License"); you may not use 
 * this file except in compliance with the License. You may obtain a copy of 
 * the License at <a href="http://www.fedora-commons.org/licenses">
 * http://www.fedora-commons.org/licenses.</a></p>
 *
 * <p>Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.</p>
 *
 * <p>The entire file consists of original code.</p>
 * <p>Copyright &copy; 2008 Fedora Commons, Inc.<br />
 * <p>Copyright &copy; 2002-2007 The Rector and Visitors of the University of 
 * Virginia and Cornell University<br /> 
 * All rights reserved.</p>
 *
 * -----------------------------------------------------------------------------
 */
package fedora.server.storage.translation;

import fedora.server.errors.ObjectIntegrityException;
import fedora.server.errors.ServerException;
import fedora.server.errors.StreamIOException;
import fedora.server.storage.types.DigitalObject;

import java.io.InputStream;
import java.io.UnsupportedEncodingException;

/**
 *
 * <p><b>Title:</b> DODeserializer.java</p>
 * <p><b>Description:</b> Reads an InputStream into a DigitalObject.</p>
 *
 * @author cwilper@cs.cornell.edu
 * @version $Id: DODeserializer.java 3966 2005-04-21 13:33:01Z rlw $
 */
public interface DODeserializer {

    public DODeserializer getInstance() throws ServerException;

    //public void deserialize(InputStream in, DigitalObject obj, String encoding)
	public void deserialize(InputStream in, DigitalObject obj, 
			String encoding, int transContext)
            throws ObjectIntegrityException, StreamIOException,
            UnsupportedEncodingException;

}